using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Simulation
{
    public interface ISimulationDrive
    {
        /// <summary>
        /// 当前位置
        /// </summary>
        int Pos { get; }

        /// <summary>
        /// 脉冲复位
        /// </summary>
        void Reset();

        /// <summary>
        /// 停止
        /// </summary>
        void Stop();

        /// <summary>
        /// 归零
        /// </summary>
        void Org();
        /// <summary>
        /// 前进
        /// </summary>
        void Forw();
        /// <summary>
        /// 后退
        /// </summary>
        void Backw();
        /// <summary>
        /// 运行到
        /// </summary>
        /// <param name="dest"></param>
        void Runto(int dest);

        void OnPoll(DateTime now);
        
    }
}
